#ifndef _REGVIEWGENERAL_H_
#define _REGVIEWGENERAL_H_

#include "CustomDrawn.h"
#include "MIPS.h"
#include "SlotHandler.h"

class CRegViewGeneral : public CCustomDrawn
{
public:
									CRegViewGeneral(HWND, RECT*, CMIPS*);
									~CRegViewGeneral();

protected:
	void							Paint(HDC);

private:
	HFONT							GetFont();
	void							OnMachineStateChange(int);
	void							OnRunningStateChange(int);

	CMIPS*							m_pCtx;
	Framework::CSlotHandler<int>*	m_pOnMachineStateChangeHandler;
	Framework::CSlotHandler<int>*	m_pOnRunningStateChangeHandler;
};

#endif