#ifndef _SETTINGS_H_
#define _SETTINGS_H_

#include "xml/Node.h"

struct SETTINGS
{

#ifdef DEBUGGER_INCLUDED

	int		nLogPosX;
	int		nLogPosY;
	int		nLogSizeX;
	int		nLogSizeY;
	bool	nLogVisible;
	
	int		nDisAsmPosX;
	int		nDisAsmPosY;
	int		nDisAsmSizeX;
	int		nDisAsmSizeY;
	bool	nDisAsmVisible;
	
	int		nRegViewPosX;
	int		nRegViewPosY;
	int		nRegViewSizeX;
	int		nRegViewSizeY;
	bool	nRegViewVisible;

	int		nMemoryViewPosX;
	int		nMemoryViewPosY;
	int		nMemoryViewSizeX;
	int		nMemoryViewSizeY;
	bool	nMemoryViewVisible;

	bool	nGSLogging;
	bool	nDMACLogging;
	bool	nOSLogging;

#endif

};

class CSettings
{
public:
				CSettings();
				~CSettings();
	SETTINGS	m_Settings;
	bool		m_nInvalid;

private:
	void		LoadDebuggerSettings(Framework::Xml::CNode*);
	void		SaveDebuggerSettings(Framework::Xml::CNode*);
};

#endif
